/**
 * Contains the classes associated with the data set wizard.
 * 
 * <p>
 * This package contains the classes associated with the data set
 * wizard. The data set wizard permits the user to add a new data
 * set to the current works pace. A data set consists of a FASTA file
 * containing the cDNA or EST sequences to be analyzed and clustered.
 * Note that a data set can have only one FASTA file but can have many
 * clustering files. This wizard is launched when the user clicks on the
 * corresponding tool or selecting the appropriate menu option from the 
 * main menu. This launches a wizard that will guide you through the 
 * process of adding a new data set entry to your work space.
 * </p> 
 * 
 * @see org.peace_tools.generic.WizardDialog
 * @see org.peace_tools.generic.WizardPage
 * 
 * @since 0.9
 */
package org.peace_tools.core.dataset;
