/**
 * Provides generic functionality to organize GUI as dockable tabs.
 * 
 * <p>
 * This package is a generic package (that does not and should not
 * have dependence on any other package, other than standard Java
 * packages) that provides a custom GUI implementation in which
 * views are organized as tabs. The tabs can be organized in
 * different ways via drag-n-drop (DnD) and consequently are called
 * DnD Tabs. The classes in this package provide the necessary
 * code to create DnD tabs, drag-n-drop tabs to reorganize layout,
 * save information about the location of tabs, and restore
 * tab positions.</p>
 * 
 * @since 0.9
 */
package org.peace_tools.generic.dndTabs;
