/**
 * Contains the classes that provide persistent storage of
 * work space configuration.
 * 
 * <p>
 * The classes in this package provide the necessary functionality
 * to persist work space configuration. The information is
 * marshalled and unmarshalled to XML by these classes. These
 * classes provide the abstract, in-memory representation of 
 * work space configuration.
 * </p>
 * 
 * <p><b>Note:</b> For a given instance of PEACE only a single 
 * shared instance of the work space configuration is maintained in
 * memory.</p>
 * 
 * @since 0.9
 */
package org.peace_tools.workspace;
